Skip to main content
GET
/
v1
/
verification_sessions
/
{id}
Retrieve a verification session
curl --request GET \
  --url https://api.yorlet.com/v1/verification_sessions/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "verification_session",
  "completed_at": 123,
  "credit_check": {
    "next_action": {
      "type": "pending_identity"
    },
    "status": "<string>"
  },
  "identity": {
    "last_error": {
      "code": "<string>",
      "reason": "<string>"
    },
    "next_action": {
      "type": "use_yorlet_sdk",
      "use_yorlet_sdk": {
        "client_secret": "<string>"
      }
    },
    "status": "<string>"
  },
  "income": {
    "next_action": {
      "type": "pending_income"
    },
    "status": "<string>"
  },
  "options": {
    "identity": {
      "allowed_types": [
        "driving_licence"
      ]
    },
    "income": {
      "affordability_check": {
        "amount": 123,
        "interval": "month",
        "inverval_count": 123
      },
      "require_income_reference": true
    }
  },
  "provided_details": {
    "email": "[email protected]",
    "phone": "<string>"
  },
  "requirements": {
    "completed": [
      "credit_check"
    ],
    "currently_due": [
      "credit_check"
    ]
  },
  "return_url": "<string>",
  "right_to_rent": {
    "next_action": {
      "type": "pending_identity",
      "dob_required": true
    },
    "status": "requires_input",
    "type": "gb_resident"
  },
  "status": "pending",
  "types": [
    "identity"
  ],
  "url": "<string>",
  "verified_outputs": {
    "affordability": {
      "cost_to_income_ratio": 123
    },
    "first_name": "<string>",
    "last_name": "<string>"
  },
  "verification_report": {
    "id": "<string>",
    "created": 123,
    "object": "verification_report",
    "identity": {
      "dob": {
        "day": 16,
        "month": 6.5,
        "year": 5949.5
      },
      "expiration_date": 123,
      "first_name": "<string>",
      "issuing_country": "<string>",
      "last_name": "<string>",
      "status": "unverified",
      "type": "<string>"
    },
    "income": {
      "affordability": {
        "cost_to_income_ratio": 123
      },
      "status": "unverified",
      "type": "permanent_employment",
      "verification": {
        "bank_account": {
          "items": [
            {
              "bank_name": "<string>",
              "income_sources": [
                {
                  "category": "<string>",
                  "description": "<string>",
                  "total": 123
                }
              ]
            }
          ],
          "sources": 123,
          "total_monthly": 123,
          "total_yearly": 123
        },
        "document": {
          "items": [
            {
              "employer_name": "<string>",
              "employee_name": "<string>",
              "pay_stubs": [
                {
                  "gross_earnings": 123,
                  "net_pay": 123,
                  "pay_date": 123,
                  "pay_frequency": "<string>"
                }
              ]
            }
          ],
          "total_monthly": 123,
          "total_yearly": 123
        },
        "type": "bank_account"
      }
    },
    "right_to_rent": {
      "dob": {
        "day": 16,
        "month": 6.5,
        "year": 5949.5
      },
      "dob_verification": "verified",
      "share_code": "<string>",
      "status": "unverified",
      "type": "gb_resident"
    },
    "status": "unverified",
    "types": [
      "identity"
    ],
    "verification_session": "<string>",
    "account": "<string>",
    "deleted": false
  },
  "account": "<string>",
  "deleted": false,
  "manually_reviewed": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns a verification session object if a valid identifier was provided.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
verification_session
completed_at
integer | null
required

Must be a Unix timestamp in UTC time.

credit_check
object
required
identity
object
required
income
object
required
options
object
required
provided_details
object
required
requirements
object
required
return_url
string | null
required
right_to_rent
object
required
status
enum<string>
required
Available options:
pending,
complete,
canceled
types
enum<string>[]
required
Available options:
identity,
right_to_rent,
income,
credit_check
url
string | null
required
verified_outputs
object
required
verification_report
required
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

manually_reviewed
boolean
default:false